net.i2p.router

## Class JobStats.RecentStats

- java.lang.Object
- - net.i2p.router.JobStats.RecentStats

- Enclosing class:
    JobStats

      public static class JobStats.RecentStats
      extends Object

  Container for recent statistics within the sliding window @since 0.9.68+

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `runs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecentStats(long runs, long totalTimeMicros, long maxTimeMicros, long minTimeMicros, long totalPendingTimeMicros, long maxPendingTimeMicros, long minPendingTimeMicros)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAvgPendingTime()`
    `double` | `getAvgTime()`
    `double` | `getMaxPendingTime()`
    `double` | `getMaxTime()`
    `double` | `getMinPendingTime()`
    `double` | `getMinTime()`
    `double` | `getTotalPendingTime()`
    `double` | `getTotalTime()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### runs

          public final long runs

  - ### Constructor Detail

    - #### RecentStats

          RecentStats(long runs,
                      long totalTimeMicros,
                      long maxTimeMicros,
                      long minTimeMicros,
                      long totalPendingTimeMicros,
                      long maxPendingTimeMicros,
                      long minPendingTimeMicros)

  - ### Method Detail

    - #### getAvgPendingTime

          public double getAvgPendingTime()

    - #### getAvgTime

          public double getAvgTime()

    - #### getMaxPendingTime

          public double getMaxPendingTime()

      Returns:
        maximum pending time in milliseconds as a double, or -1.0 if never run

    - #### getMaxTime

          public double getMaxTime()

      Returns:
        maximum time in milliseconds as a double, or -1.0 if never run

    - #### getMinPendingTime

          public double getMinPendingTime()

      Returns:
        minimum pending time in milliseconds as a double, or -1.0 if never run

    - #### getMinTime

          public double getMinTime()

      Returns:
        minimum time in milliseconds as a double, or -1.0 if never run

    - #### getTotalPendingTime

          public double getTotalPendingTime()

      Returns:
        total pending time in milliseconds as a double

    - #### getTotalTime

          public double getTotalTime()

      Returns:
        total time in milliseconds as a double